<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: class.pagination.php 903 2010-04-25 07:54:35Z mike007.devpwsphp $
// ---------------------------------------------------------------

/**
 * @file nav_barre.class.php
 *
 * Classe permettant la gestion d'une barre de navigation
 * dans un ensemble de pages ou d'objets
 *  
 * @author Otocinclus
 * @date mai 2008
 */
 
class pagination
{	
	/************************************************************************
								VARIABLES PUBLIQUES							*
	*************************************************************************/	

	/**
	 * Barre de nav formate, prte  tre affiche.
	 * Type : string
	 * Valeur par dfaut : vide
	 * @access public
	 */
	var $barre_nav;

	/**
	 * Nombre total d'lments  faire figurer dans la barre de navigation.
	 * Type : numrique
	 * @access public
	 */
	var $total_elt;
	
	/**
	 * nom de la variable html utilise pour transmettre les rfrences des pages ou lments	 	 
	 * Type : string
	 * Valeur par dfaut : vide
	 * @access public
	 */
	var $html_var_elt;

	/**
	 * tableau indx permettant de transmettre un texte pour chaque lments unitaires	 
	 * Type : string
	 * Valeur par dfaut : vide
	 * @access public
	 */
	var $texte_elt;

	/**
	 * nom gnrique des lments de la barre de nav ex : image, groupe, membre, .....	 
	 * Type : array
	 * Valeur par dfaut : vide
	 * @access public
	 */
	var $valeur_elt;

	/**
	 * tableau associatif des numro de pagination et de l'identification relle des lments si diffrent
	 * 	EX: l'lment 1 doit pointer sur id=347
	 * 		l'lment 2 doit pointer sur id=38
	 * 		l'lment 3 doit pointer sur id=739 .....	 	 	 	 
	 * Type : array
	 * Valeur par dfaut : vide
	 * @access public
	 */
	var $lien_par_ref;
	
	/**
	 * Nombres d'lments figurant sur chaque page.
	 * Mettre cette valeur  1 pour ne pas grouper les lments par page.
	 * Type : numrique
	 * Valeur par dfaut : 10
	 * @access public
	 */
	var $elt_par_page;
	
	/**
	 * lment courant.
	 * Type : numrique
	 * Valeur par dfaut : 1
	 * @access public
	 */
	var $page_courante;
	
	/**
	 * Nombre de pages  afficher au dbut de la barre de navigation.
	 * Type : numrique
	 * Valeur par dfaut : 3
	 * @access public
	 */
	var $affiche_debut;

	/**
	 * Nombre de pages  afficher en fin de la barre de navigation.
	 * Type : numrique
	 * Valeur par dfaut : 3
	 * @access public
	 */
	var $affiche_fin;

	/**
	 * Nombre de pages  afficher dans la barre de navigation, de part et d'autre de la page courante.
	 * Type : numrique
	 * Valeur par dfaut : 0
	 * @access public
	 */
	var $affiche_courant;

	/**
	 * gre l'affichage des boutons prcdant et suivant.
	 * 	true  : les boutons sont affichs,
	 * 	false : ils ne le sont pas.
	 * Type : boolen
	 * Valeur par dfaut : true
	 * @access public
	 */
	var $precedant_suivant;

	/**
	 * gre l'affichage des boutons dbut et fin.
	 * 	true  : les boutons sont affichs,
	 * 	false : ils ne le sont pas.
	 * Type : boolen
	 * Valeur par dfaut : false
	 * @access public
	 */
	var $debut_fin;

	
	/************************************************************************
								VARIABLES PRIVEES							*
	*************************************************************************/	

	/**
	 * Nombres total de pages  afficher.
	 * Type : numrique
	 * @access priv
	 */
	var $nbr_page;

	/**
	 * Numro de la premiere page  afficher en fin de barre de navigation.
	 * Type : numrique
	 * @access priv
	 */
	var $limite_fin;

	/**
	 * Numro de la premiere page  afficher dans la barre de navigation, avant la page courante.
	 * Type : numrique
	 * Valeur par dfaut : 0
	 * @access priv
	 */
	var $limite_courant_inf;
	
	/**
	 * Numro de la derniere page  afficher dans la barre de navigation, aprs la page courante.
	 * Type : numrique
	 * Valeur par dfaut : 1
	 * @access priv
	 */
	var $limite_courant_sup;


	/************************************************************************
								METHODES PUBLIQUES							*
	*************************************************************************/

	/**
	 * Constructeur
	 * initialise les valeurs par dfaut ou fournies
	 * @access public
	 * @return object
	 */
	function pagination($total_elt, $elt_par_page=10, $type_elt='page', $html_var_elt='int_page')
	{
		$this->total_elt		= intval($total_elt);
		$this->elt_par_page		= intval($elt_par_page)<1 ? 1 : intval($elt_par_page);
		$this->html_var_elt		= $html_var_elt;
		$this->type_elt			= ax($type_elt);
		$this->nbr_page			= ceil($this->total_elt / $this->elt_par_page);
		$this->affiche_debut	= 3;
		$this->affiche_courant	= 1;
		$this->affiche_fin		= 3;
		$this->limite_fin		= $this->nbr_page - 3;
		$this->precedant_suivant= true;
		$this->debut_fin		= true;
		$this->getElementCourant();
	}
	
	/**
	 * Envoi la valeur de l'lment courant
	 * @access public
	 * @return 
	 */
	function setElementCourant($valeur)
	{
		$elt = intval($valeur);
		if ($elt > 0)
		{
			$this->page_courante = $this->validationElement($elt);
			$this->limite_courant_inf = $this->page_courante - $this->affiche_courant;
			$this->limite_courant_sup = $this->page_courante + $this->affiche_courant;
		}
	}

	/**
	 * Cration et mise en forme de la barre de navigation
	 * @access public
	 * @return string
	 */
	function creer($lien, $direct='auto', $force_type_elt=false)
	{
		 //Initialisation
		$this->barre_nav = '';
		if ($force_type_elt)	$page = false;
		else					$page = $this->nbr_page != $this->total_elt;

		if ($force_type_elt) $page = false;
		$this->getElementCourant();

		if ($this->nbr_page > 1)
		{
			if (!is_array($this->lien_par_ref))
			{
				for($i=1; $i<=$this->nbr_page; $i++)
				{
					$this->lien_par_ref[$i] = $i;
				}	
			}
			
			$this->barre_nav = '<p class="nav_barre" style="text-align:center;">';

			//Affichage dbut et/ou prcdant
			if ($this->page_courante > 1)
			{
				if ($this->debut_fin)
				{
					$LienFinal = sprintf($lien, $this->lien_par_ref[1]);
					$LienFinal = preg_replace('`(\?|&(amp;)?)'.$this->html_var_elt.'=1$`','',$LienFinal);
					$LienFinal = preg_replace('`(\?|&(amp;)?)'.$this->html_var_elt.'=1&`','&',$LienFinal);
					$this->barre_nav .= '
					<a href="'.$LienFinal.'" title="'.($page ? 'Premi&egrave;re page' : 'D&eacute;but').'"><span class="page_choix">&laquo;</span></a>&nbsp;';
				}
				if ($this->precedant_suivant)
				{
					$LienFinal = sprintf($lien, $this->lien_par_ref[$this->page_courante-1]);
					$LienFinal = preg_replace('`(\?|&(amp;)?)'.$this->html_var_elt.'=1$`','',$LienFinal);
					$LienFinal = preg_replace('`(\?|&(amp;)?)'.$this->html_var_elt.'=1&`','&',$LienFinal);
					$this->barre_nav .= '&nbsp;
					<a href="'.$LienFinal.'" title="'.($page ? 'Page pr&eacute;c&eacute;dente' : 'Pr&eacute;c&eacute;dent').'"><span class="page_choix"> &#8249;</span></a>&nbsp;';
				}
			}

			for($i = 1; $i <= $this->nbr_page; $i++)
			{
				// page actuelle
				if ($i == $this->page_courante)
				{
					$this->barre_nav .= '&nbsp;
					<span class="page_encours">'.($this->page_courante < 10 ? '0' : '').$this->page_courante.'</span>';
				}
				// les autres pages  afficher
				elseif ($i <= $this->affiche_debut || $i > $this->limite_fin || ($i >= $this->limite_courant_inf && $i <= $this->limite_courant_sup))
				{
					$LienFinal = sprintf($lien, $this->lien_par_ref[$i]);
					$LienFinal = preg_replace('`(\?|&(amp;)?)'.$this->html_var_elt.'=1$`','',$LienFinal);
					$LienFinal = preg_replace('`(\?|&(amp;)?)'.$this->html_var_elt.'=1&`','&',$LienFinal);
					$this->barre_nav .= '&nbsp;
					<a href="'.$LienFinal.'" title="'.($page ? 'Page '.$i : $this->texte_elt).'"><span class="page_choix">'.($i < 10 ? '0' : '').$i.'</span></a>';
				}
				// on passe les pages masques avant la page actuelle
				elseif ($i > $this->affiche_debut && $i < min($this->limite_courant_inf, $this->limite_fin+1))
				{
					$this->barre_nav .= '&nbsp;...';
					if ($direct == 'auto') $direct = 'afficher';
					$i = min($this->limite_courant_inf-1, $this->limite_fin);
				}
				// on passe les pages masques aprs la page actuelle
				elseif ($i > $this->limite_courant_sup && $i <= $this->limite_fin)
				{
					$this->barre_nav .= '&nbsp;...';
					if ($direct == 'auto') $direct = 'afficher';
					$i = $this->limite_fin;
				}
			}

			// Affichage de suivant et/ou fin
			if ($this->page_courante < $this->nbr_page)
			{
				if ($this->precedant_suivant === true)
				{
					$this->barre_nav .= '
					&nbsp;<a href="'.sprintf($lien, $this->lien_par_ref[$this->page_courante+1]).'" title="'.($page ? 'Page suivante' : $this->type_elt.' suivant').'"><span class="page_choix">&rsaquo;</span></a>&nbsp;';
				}
				if ($this->debut_fin === true)
				{
					$this->barre_nav .= '
					&nbsp;<a href="'.sprintf($lien, $this->lien_par_ref[$this->nbr_page]).'" title="'.($page ? 'Derni&egrave;re page' : 'Dernier').'"><span class="page_choix">&raquo;</span></a>&nbsp;';
				}
			}
			
			// Affichage acces direct
			if ($direct == 'afficher')
			{
				$this->barre_nav .= '<br /><br />
				<script type="text/javaScript">
				// <![CDATA[
				function gotoURL(url)
				{
					if (url != "")
					window.location=url;
				}
				// ]]>
				</script>
				Se rendre directement '.(!$page ? $this->type_elt : 'page').' :
				<select name="goto" onchange="gotoURL(this.options[this.selectedIndex].value)">';
				for ($i = 1; $i <= $this->nbr_page; $i++)
				{
					$info = $this->texte_elt[$this->getDebutPage($i)];
					if (!empty($info)) $info = ' ('.$info.')';

					$LienFinal = sprintf($lien, $this->lien_par_ref[$i]);
					$LienFinal = preg_replace('`(\?|&(amp;)?)'.$this->html_var_elt.'=1$`','',$LienFinal);
					$LienFinal = preg_replace('`(\?|&(amp;)?)'.$this->html_var_elt.'=1&`','&',$LienFinal);
					$this->barre_nav .= '
					<option value="'.$LienFinal.'"'.($this->page_courante==$i ? ' selected="selected"' : '').'>'.($i<10 ? '0' : '').$i.$info.'</option>';
				}
				$this->barre_nav .= '
				</select>';
			}

			$this->barre_nav .= '
			</p>';
		}

		return $this->barre_nav;		
	}
	
	/** 
	 * Dtermine le numro du premier lment de la page courante,
	 * si pas de goupement par page, renvoi le numro de l'lment courant.	 
	 * @access public
	 * @return 
	 */	 	
	function getDebutPage($page=0)
	{	
		$page = $page<1 ? $this->page_courante : $page;
		if ($this->nbr_page == $this->total_elt)
		{
			return ($this->validationElement($page) - 1);
		}
		else
		{
			return ($this->validationElement($page) - 1)*$this->elt_par_page;
		}
	}


	/************************************************************************
								METHODES PRIVEES							*
	*************************************************************************/

	/**
	 * Rcupre la valeur de l'lment courant
	 * @access priv
	 * @return 
	 */
	function getElementCourant()
	{
		if (is_array($this->lien_par_ref))
		{
			$elt = !empty($_REQUEST[$this->html_var_elt]) ? array_search(intval($_REQUEST[$this->html_var_elt]), $this->lien_par_ref) : 1;	
		}
		else
		{
			$elt = !empty($_REQUEST[$this->html_var_elt]) ? intval($_REQUEST[$this->html_var_elt]) : 1;
		}
		
		$this->page_courante = $this->validationElement($elt);
		$this->limite_courant_inf = $this->page_courante - $this->affiche_courant;
		$this->limite_courant_sup = $this->page_courante + $this->affiche_courant;
	}

	/**
	 * Vrification de la validit de l'lment pass en argument.
	 * Si pas bon, renvoi en renvoi un valide, sinon retourne l'argument.	 
	 * @access priv
	 * @return 
	 */
	function validationElement($elt)
	{		
		if ($elt < 1) 
		{
			$elt = 1;
		} 
		elseif ($elt > $this->nbr_page) 
		{
			$elt = $this->nbr_page;
		}
		
		return $elt;
	}

}

?>
