<?php
// ---------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: traitement_variable.php 925 2011-05-14 11:27:11Z mike007 $
// ---------------------------------------------------------------
// Cration : 23/09/07 par FouPouDave
// ---------------------------------------------------------------

if (!isset($K_prefix)) $K_prefix = '';

// Fonction
/** function pour calculer le temps en secondes
* @author FouPouDave
* @return un timestamp en secondes
*/
function micro_time()
{
	$calcul = explode(" ", microtime());
	return $calcul[0] + $calcul[1];
}

/** function qui compte le nombre de requetes faites sur le portail
* @author Les ancetres de la team, FouPouDave
* @param $query requete sql
* @param $erreur affichage par dfaut d'un message d'erreur le cas chance
* @return une ressource
*/
function reqmysql($query, $erreur=true, $is_prefix=false)
{
	global $K_nombreDeRequetes, $debug, $_IN_SVN, $K_prefix, $IsVisitorBot;
	static $t2;

	if (!empty($t2))
	{
		$interval = micro_time() - $t2;
	}

	if (!isset($K_nombreDeRequetes))
	{
		$K_nombreDeRequetes = 0;
	}
	$K_nombreDeRequetes++;

	if (!$is_prefix)
	{
		$query = preg_replace('!`([a-zA-Z0-9_]+`)\.([`a-zA-Z_*]+)!isU', '`'.$K_prefix.'$1.$2', $query);
		$query = preg_replace('!(FROM|INTO|JOIN|UPDATE|DELETE|ALTER|EXISTS|DESCRIBE|CREATE TABLE|TRUNCATE TABLE)\s+`([a-zA-Z0-9_]+`)!isU', '$1 `'.$K_prefix.'$2', $query);
		$query = preg_replace('#((?:FROM|JOIN)\s+`[a-zA-Z0-9_]+`)(\s+AS\s+)(\w+)#isU', '$1$2'.$K_prefix.'$3', $query);
		//echo str_replace("\n","<br />",$query).'<br />';
	}

	$t1 = micro_time();
	if (substr(mysql_get_server_info(), 0, 1) >= 5)
	{
		// TYPE depreci puis supprim dans version MySQL 5
		$query=str_replace('TYPE=MyISAM', 'ENGINE=MyISAM', $query);
	}
	$result = @mysql_query($query);
	$t2 = micro_time();

	if (((!$result) or ( $_IN_SVN and !preg_match('#`#',$query) and !preg_match('#^SHOW TABLE#',$query) )) and $erreur)
	{
		global $K_pseudo;

		$vars = debug_backtrace();
		foreach ($vars as $id => $var)
		{
			if ($var['function']=='reqmysql')
			{
				$fichier = basename($var['file']);
				$fichier = basename(dirname($var['file'])).'/'.$fichier;

				$message1 = '<div style="text-align:center;color:red;">Il y a une erreur de requ&ecirc;te dans le fichier <strong>'.$fichier.'</strong> &agrave; la ligne <strong>'.$var['line'].'</strong>.</div>';
				$message2 = '<div style="text-align:center;color:red;">Cette erreur est intervenue le '.date('d/m/Y \&\a\g\r\a\v\e\; H:i').' lors du passage ';
				if (!empty($K_pseudo))
				{
					$message2 .= 'de <strong>'.ax($K_pseudo).'</strong>';
				}
				elseif ($IsVisitorBot)
				{
					$message2 .= 'd\'<strong>un robot</strong>';
				}
				else
				{
					$message2 .= 'd\'<strong>un visiteur</strong>';
				}
				$message2 .= '  partir <a href="'.ax(basename($_SERVER['REQUEST_URI'])).'" target="_blank" title="'.ax(basename($_SERVER['REQUEST_URI'])).'" >de ce lien</a> en venant <a href="'.ax($_SERVER['HTTP_REFERER']).'" target="_blank" title="'.ax($_SERVER['HTTP_REFERER']).'">de cette page</a>.</div>';
				$message3 = mysql_error();
				if (!empty($message3))
				{
					$message3 = '<div style="text-align:center;color:green;">'.ax($message3).'</div>';
				}
				elseif ($_IN_SVN and !preg_match('#`#',$query))
				{
					$message3 = '<div style="text-align:center;color:green;">` manquant dans la requete.</div>';
				}
				$message4 = '<div style="text-align:center;color:darkorange;">'.ax($query).'</div>';
				if (!empty($_POST))
				{
					foreach($_POST as $name => $valeur)
					{
						$tmp_post .= ax($name).' =&gt; '.($name!='sql_pass' ? ax($valeur) : '*******').'<br />';
					}
					$message5 = '<div style="text-align:center;"><strong>POST Data:</strong><br />'.$tmp_post.'</div>';
				}
			}
		}

		if (is_callable(get_grade) and get_grade() >= GRD_ADMIN)
		{
			if (is_callable(open_table))
			{
				open_table();
			}
			if (is_callable(df_message))
			{
				echo df_message('erreur',$message1.$message2,$message3.$message4.$message5);
			}
			else
			{
				echo $message1.$message2.$message3.$message4.$message5;
			}

			// indispensable dans le cas d'un rechargement automatique d'une page
			echo '<script type="text/javascript">
			// <![CDATA[
				alert("Une erreur dans une requte a t dtecte.");
			// ]]>
			</script>';

			if (is_callable(close_table))
			{
				close_table();
			}
		}
		else
		{
			$req = mysql_query('
				SELECT	`id`
				FROM	`'.$K_prefix.'alerte`
				WHERE	`module`= "Requte"
					AND	`texte`	LIKE "'.str_replace('`','&#96;',sp($message1)).'%"
			');
			if (mysql_num_rows($req) < 1)
			{
				mysql_query("
					INSERT INTO	`".$K_prefix."alerte`
					SET			`id`		= '',
								`date`		= '".time()."',
								`auteur`	= '".(empty($K_pseudo) ? 'Visiteur' : $K_pseudo)."',
								`module`	= 'Requte',
								`texte`		= '".str_replace('`','&#96;',sp($message1.$message2.$message3.$message4.$message5))."';
				");
			}
		}
	}

	$K_duree_mini = 0.5;
	$force_aff_req = false;
	if ($K_nombreDeRequetes!=1 && $interval>$K_duree_mini)
	{
		$_SESSION['debug_lenteur'] .= $_SESSION['memo_req'].'<p><strong style="color:red">Depuis la requete <big>'.($K_nombreDeRequetes-1).'</big> : </strong><em><big>'.round($interval*1000,3).'</big> ms</em></p>';
		$force_aff_req = true;
	}
	if (($t2-$t1)>$K_duree_mini || $force_aff_req)
	{
		$_SESSION['debug_lenteur'] .= '<p><strong '.(($t2-$t1)>$K_duree_mini ? 'style="color:red"' : '').'>Requete <big>'.$K_nombreDeRequetes.'</big> en <em><big>'.round(($t2-$t1)*1000,3).'</big> ms</em> : </strong><small>'.ax($query).'</small></p><hr />';
		$_SESSION['memo_req'] = '';
	}
	else
	{
		$_SESSION['memo_req'] = '<p><strong>Requete <big>'.$K_nombreDeRequetes.'</big> en <em><big>'.round(($t2-$t1)*1000,3).'</big> ms</em> : </strong><small>'.ax($query).'</small></p>';
	}

	return $result;
}

// Activer la variable  $kws_debugmode pour afficher les variables cres
// Ne jamais mettre $kws_debugmode  false, on active ou dsactive uniquement cette ligne
//$kws_debugmode = true; 
if (!isset($kws_debugmode))
{
	$kws_debugmode = false;
}
convertion('_POST',$kws_debugmode);
convertion('_GET',$kws_debugmode);
convertion('_REQUEST',$kws_debugmode);

/** function qui protge la variable 
* A appliquer entre autre sur les superglobales (variables utilisateurs $_GET, $_POST, $_COOKIE, $_REQUEST, $_FILES)
* @author FouPouDave
* @param $variable variables superglobales
* @return variables superglobales traites
*/
function convertion($var,$debugmode=false)
{
	global ${$var};
	if (isset(${$var}))
	{
		foreach(${$var} as $cle=>$contenu)
		{
			$prefix = substr($cle, 0, 4);
			if	($prefix=='flo_' or $prefix=='int_' or $prefix=='htm_' or $prefix=='sql_' or $prefix=='xss_')
			{
				${$var}[$cle] = traitement_variable($contenu,$prefix);

				if ($debugmode)
				{
					echo '$'.$var.'[\''.$cle.'\'] = ';
					if (is_array(${$var}[$cle]))
					{
						echo '<pre>'; print_r(${$var}[$cle]); echo '</pre>';
					}
					else
					{
						echo ${$var}[$cle].'<br />';
					}
				}
			}
		}
	}
}

/** function qui protge la variable
* A appliquer  des variables
* @author FouPouDave
* @param $variable valeur  proteger en fonction de son type ($type : flo, int, htm, sql ou xss)
* @return variable filtre
*/
function traitement_variable($variable, $type=NULL)
{
	if (is_array($variable))
	{
		foreach($variable as $cle=>$contenu)
		{
			$variable[$cle] = traitement_variable($contenu, $type);
		}
	}
	else
	{
		$type = strtolower($type);

		if ($type == 'flo_' or empty($type))
		{
			if (is_numeric($variable))
			{
				$type = 'flo_';
				$variable = floatval($variable);
			}
			elseif ($type == 'flo_')
			{
				$variable = 0;
			}
		}
		if ($type == 'int_' or empty($type))
		{
			if (is_numeric($variable) && ($variable == intval($variable)))
			{
				$type = 'int_';
				$variable = intval($variable);
			}
			elseif ($type == 'int_')
			{
				$variable = 0;
			}
		}
		if ($type == 'htm_')
		{
			$variable = htmlentities($variable, ENT_QUOTES);
		}
		if ($type == 'sql_' or empty($type))
		{
			$type = 'sql_';
			$variable = SQLprotect($variable);
		}
		if ($type == 'xss_')
		{
			$variable = antiXSS($variable);
		}
	}	
	return $variable;
}

/** function qui protge la variable contre les injections SQL
* A appliquer entre autre sur les superglobales (variables utilisateurs $_GET, $_POST, $_COOKIE, $_REQUEST, $_FILES)
* @author jack, mike007, zeta, patami
* @param $value valeur  proteger
* @return variable filtre
*/
function SQLprotect($value)
{
	// Stripslashes
	static	$t=null;
	if ($t==null)
	{
		$t=get_magic_quotes_gpc();
	}
	if ($t)
	{
		$value = stripslashes($value);
	}

	// Protection SQL
	// @ --> Solution dfinitive...r881
	$value = mysql_real_escape_string($value);

	//on retourne une valeur filtre
	return $value;
}

/** function qui protge la variable contre les injections SQL alias de SQLprotect
* A appliquer entre autre sur les superglobales (variables utilisateurs $_GET, $_POST, $_COOKIE, $_REQUEST, $_FILES)
* @author jack, mike007, zeta, patami
* @param $value valeur  proteger
* @return variable filtre
* @see SQLprotect
*/
function sp($value)
{
	return SQLprotect($value);
}

/** function anti XSS : A appliquer lors de l'affichage si on n'utilise pas bbcode()
* @author mike007, zeta, patami, FouPouDave
* @param $value valeur  proteger
* @param $TA Si on utilise la fonction sur dans un textarea
* @return variable filtre
*/
function antiXSS($value,$TA=false)
{
	// les entiers
	if (is_numeric($value) && $value == intval($value))
	{
		return $value;
	}

	// Stripslashes
	static	$t=null;
	if ($t==null)
	{
		$t=get_magic_quotes_gpc();
	}
	if ($t and !$TA)
	{
		$value = stripslashes($value);
	}

	//on retourne une valeur filtre
	return htmlentities($value,ENT_COMPAT,'ISO-8859-15');
}

/** function anti XSS alias de antiXSS : A appliquer lors de l'affichage si on n'utilise pas bbcode()
* @author mike007, zeta, patami, FouPouDave
* @param $value valeur  proteger
* @return variable filtre
* @see antiXSS
*/
function ax($value,$TA=false)
{
	return antiXSS($value,$TA);
}
?>
