-- $Id: install.sql 921 2011-05-14 08:46:55Z mike007 $

DROP TABLE IF EXISTS `alerte`;
CREATE TABLE `alerte` (
  `id` int(11) NOT NULL auto_increment,
  `date` varchar(10) NOT NULL default '',
  `auteur` varchar(40) NOT NULL default '',
  `module` varchar(40) NOT NULL default '',
  `texte` text NOT NULL,
  `visible` enum('0','1') NOT NULL default '1',
PRIMARY KEY (`id`)
) TYPE=MyISAM COMMENT="module alerte : Liste des alertes" AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `carnet`;
CREATE TABLE `carnet` (
  `id` int(11) NOT NULL auto_increment,
  `groupe` varchar(100) NOT NULL default '',
  `contenu` text NOT NULL,
  `user` int(11) NOT NULL default '0',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Module espace_membre : carnet d adresses';

DROP TABLE IF EXISTS `commentaires`;
CREATE TABLE `commentaires` (
  `id` int(11) NOT NULL auto_increment,
  `ref` varchar(10) NOT NULL default '',
  `titre` varchar(100) NOT NULL default '',
  `auteur` varchar(30) NOT NULL default '',
  `email` varchar(50) NOT NULL default '',
  `date` varchar(30) NOT NULL default '',
  `ip` varchar(30) NOT NULL default '',
  `contenu` text NOT NULL,
  `smiley` tinyint(2) NOT NULL default '1',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='commentaires' AUTO_INCREMENT=1;

DROP TABLE IF EXISTS `droit`;
CREATE TABLE `droit` (
  `id` int(11) NOT NULL auto_increment,
  `module` varchar(50) NOT NULL,
  `page` varchar(50) NOT NULL,
  `grade` int(4) NOT NULL default '4',
  `groupe` int(4) NOT NULL default '0',
  `condition` enum('or','and') NOT NULL default 'or',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Gre les droits d accs  un module' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `droit_exclu`;
CREATE TABLE `droit_exclu` (
  `id` int(11) NOT NULL auto_increment,
  `module` varchar(50) NOT NULL default '',
  `page` varchar(50) NOT NULL default '',
  `accessible` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Gre les droits d accs  un module' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `messages`;
CREATE TABLE `messages` (
  `id` int(11) NOT NULL auto_increment,
  `de` int(11) NOT NULL DEFAULT '0',
  `a` int(11) NOT NULL DEFAULT '0',
  `titre` varchar(100) NOT NULL default '',
  `icone` varchar(30) NOT NULL default '',
  `contenu` text NOT NULL,
  `date` int(10) NOT NULL DEFAULT '0',
  `lu` tinyint(1) NOT NULL default '0',
  `Cacher_Exp` tinyint(1) NOT NULL default '0',
  `Cacher_Dest` tinyint(1) NOT NULL default '0',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Module espace_membre : message';

DROP TABLE IF EXISTS `modules`;
CREATE TABLE `modules` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(10) NOT NULL default '',
  `emplacement` smallint(5) unsigned NOT NULL default '0',
  `position` smallint(5) unsigned NOT NULL default '0',
  `module` varchar(15) NOT NULL default '',
  `parametre1` varchar(50) default NULL,
  `parametre2` varchar(100) default NULL,
  `parametre3` varchar(50) default NULL,
  `parametre4` text NOT NULL,
  `parametre5` varchar(50) default NULL,
  `display` enum('block','none') NOT NULL DEFAULT 'block',
  `afficher` tinyint(4) NOT NULL default '1',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Module modules : Agencement des modules';

DROP TABLE IF EXISTS `parametres`;
CREATE TABLE `parametres` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(30) NOT NULL default '',
  `valeur` text NOT NULL,
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Paramtre du portail';

DROP TABLE IF EXISTS `surv_emails`;
CREATE TABLE `surv_emails` (
  `id` int(11) NOT NULL auto_increment,
  `ref` varchar(15) NOT NULL default '',
  `pseudo` varchar(30) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `type` varchar(30) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Surveillance des topics de chaque membre';

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `pseudo` varchar(32) NOT NULL default '',
  `pass` varchar(50) NOT NULL default '',
  `pass2` varchar(32) NOT NULL default '',
  `grade` tinyint(1) NOT NULL default '0',
  `invisible` tinyint(1) NOT NULL default '0',
  `email` varchar(64) NOT NULL default '',
  `theme` varchar(20) NOT NULL default '',
  `aff_news` tinyint(4) NOT NULL default '10',
  `nbr_news` tinyint(4) NOT NULL default '0',
  `aff_email` tinyint(1) NOT NULL default '1',
  `mp_popup` tinyint(1) NOT NULL default '1',
  `popup` tinyint(4) NOT NULL default '0',
  `date` varchar(10) NOT NULL default '',
  `avatar` varchar(80) NOT NULL default '',
  `signature` text NOT NULL,
  `flood` varchar(10) NOT NULL default '',
  `editeur` enum('defaut','bbcode','html') NOT NULL default 'defaut',
  `nb_post` int(11) NOT NULL default '0',
  `statut` tinyint(1) NOT NULL default '0',
  `infos_ban` text NOT NULL default '',
  `date_der_connec` varchar(10) NOT NULL default '',
  `cle` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `pseudo` (`pseudo`)
) TYPE=MyISAM COMMENT='Liste des membres du portail' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `users_cplt`;
CREATE TABLE `users_cplt` (
  `id_pseudo` int(11) NOT NULL,
  `nom` varchar(32) NOT NULL default '',
  `icq` varchar(9) NOT NULL default '',
  `msn` varchar(40) NOT NULL default '',
  `yahoom` varchar(40) NOT NULL default '',
  `aim` varchar(40) NOT NULL default '',
  `site` varchar(100) NOT NULL default '',
  `localisation` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id_pseudo`)
) TYPE=MyISAM COMMENT='Champs supplmentaires pour les membres';

DROP TABLE IF EXISTS `users_champs`;
CREATE TABLE IF NOT EXISTS `users_champs` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(30) NOT NULL DEFAULT '',
  `taille` smallint(3) NOT NULL DEFAULT '40',
  `titre` varchar(30) NOT NULL DEFAULT '',
  `message` varchar(70) NOT NULL DEFAULT '',
  `type` enum('facultatif','obligatoire') NOT NULL DEFAULT 'facultatif',
  `format` enum('texte','select','radio','textarea') NOT NULL DEFAULT 'texte',
  `options` text NOT NULL DEFAULT '',
  `actif` enum('0','1') NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) TYPE=MyISAM COMMENT='Dfinition des champs supplmentaires pour les membres' AUTO_INCREMENT=1 ;

INSERT INTO `users_champs` SET `nom`='nom', `taille`='32', `titre`='Nom complet', `type`='obligatoire', `format`='texte', `actif`='1', `position`='1';
INSERT INTO `users_champs` SET `nom`='msn', `taille`='40', `titre`='MSN Messenger', `type`='facultatif', `format`='texte', `actif`='1', `position`='2';
INSERT INTO `users_champs` SET `nom`='icq', `taille`='9', `titre`='Numro ICQ', `type`='facultatif', `format`='texte', `actif`='1', `position`='3';
INSERT INTO `users_champs` SET `nom`='yahoom', `taille`='40', `titre`='Yahoo Messenger', `type`='facultatif', `format`='texte', `actif`='1', `position`='4';
INSERT INTO `users_champs` SET `nom`='aim', `taille`='40', `titre`='Adresse AIM', `type`='facultatif', `format`='texte', `actif`='1', `position`='5';
INSERT INTO `users_champs` SET `nom`='site', `taille`='100', `titre`='Site personnel', `type`='facultatif', `format`='texte', `actif`='1', `position`='6';
INSERT INTO `users_champs` SET `nom`='localisation', `taille`='40', `titre`='Localisation', `type`='facultatif', `format`='texte', `actif`='1', `position`='7';

DROP TABLE IF EXISTS `votes_modules`;
CREATE TABLE `votes_modules` (
 `id` int(11) NOT NULL auto_increment,
 `ref` varchar(20) NOT NULL default '',
 `pseudo` varchar(20) NOT NULL default '',
 `module` varchar(20) NOT NULL default '',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Votes divers pour le portail';
