<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: lib_alertes.php 741 2008-06-12 23:51:32Z otocinclus.devpwsphp $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file lib_alertes.php
 *
 * Bibliotheques des fonctions d'alertes.
 *
 * @author Otocinclus
 * @version 1.0
 * @date Novembre 2007
 */


// Scu
if (!(defined('__KWS__'))) {die ('Erreur d\'appel de fichier.');}



/**
 *
 * Mise en forme de l'alerte pour les anniversaires du jour ou  venir
 *
 * @param $type : type de mise en forme : bloc ou module central
 * @return : l'alerte  afficher au format html
 */
function alerteAnniv($type, $futur_anniv)
{
	global $K_mod, $today, $tmois, $tshortmois, $K_theme, $agenda_type_msga;

	if ($type=='alerte')	$avatarSize = 48;
	else					$avatarSize = 24;

	$date_jour = date("m-d");
	$timestamp_futur = mktime(0, 0, 0, date("m"), date("d")+$futur_anniv, date("Y"));
	$date_futur = date("m-d", $timestamp_futur);
	if (date("Y", $timestamp_futur) > date("Y"))	$condition = 'OR';
	else											$condition = 'AND';

	$alerteAnniv  = '';

	$requete = reqmysql('
			SELECT `agenda_anniv`.`id_mbr`, `agenda_anniv`.`pseudo`, `agenda_anniv`.`date_naissance`, `agenda_anniv`.`aff_naissance`, `agenda_anniv`.`msg_anniversaire`, CURRENT_DATE,
				   (YEAR(CURRENT_DATE)-YEAR(`agenda_anniv`.`date_naissance`)) AS age, `users`.`avatar`, `users`.`email`, `users`.`mp_popup`
			FROM `agenda_anniv`
			LEFT JOIN `users` ON `users`.`id`=`agenda_anniv`.`id_mbr`
			WHERE `agenda_anniv`.`date_naissance` != "000-00-00"
			AND (RIGHT(`agenda_anniv`.`date_naissance`, 5)="'.$date_jour.'"
				 OR (RIGHT(`agenda_anniv`.`date_naissance`, 5)>"'.$date_jour.'"
					 '.$condition.' RIGHT(`agenda_anniv`.`date_naissance`, 5)<="'.$date_futur.'"
					 )
				)
			AND (`users`.`statut` = "'.STU_VALIDE.'" OR `agenda_anniv`.`id_mbr` = 0)
			ORDER BY RIGHT(`agenda_anniv`.`date_naissance`, 5)
			');
	$i=0;
	while($ligne=mysql_fetch_object($requete))
	{
		//avatar
		$avatar='';
		if ($ligne->avatar !='')
		{
			$avatar='<img src="'.$ligne->avatar.'" height="'.$avatarSize.'" width="'.$avatarSize.'" border="0" alt="avatar" />';
		}
		$membre1 = $ligne->id_mbr==0 ?
		'<span style="font-weight:bold;padding-left:'.$avatarSize.'px;">&nbsp;'.$ligne->pseudo.'</span> ' :
		$avatar.' <a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$ligne->id_mbr.'"> <strong> '.$ligne->pseudo.'</strong></a> ';
		$membre2 = $ligne->id_mbr==0 ?
		'<span style="padding-left:'.$avatarSize.'px;">C\'est l\'anniversaire de <strong>'.$ligne->pseudo.'</strong></span>' :
		$avatar .' C\'est l\'anniversaire de <a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$ligne->id_mbr.'"><strong>'.$ligne->pseudo.'</strong></a> ';

		// anniversaires du jour
		if(substr($ligne->date_naissance, 5, 5)==$date_jour)
		{
			if ($ligne->aff_naissance)
			{
				$alerteAnniv .= $membre1.'
				fte ses '.$ligne->age.' ans';
			}
			else
			{
				$alerteAnniv .= $membre2;
			}
			$alerteAnniv .= ($type=='alerte' ? ' aujourd\'hui, souhaitez lui un joyeux anniversaire.' : '');

			if ($agenda_type_msga != 'off' && $ligne->id_mbr != 0 && $ligne->msg_anniversaire < $today['year'])
			{
				// envoyer un message d'anniversaire
				include_once 'modules/'.$K_mod.'/includes/lib_anniv.php';
				envoyerMsgAnniv($ligne, $agenda_type_msga);
			}

			if ($ligne->id_mbr != 0)
			{
				$alerteAnniv .= '
				<a title="Souhaitez un joyeux anniversaire &agrave; '.$ligne->pseudo.' !" href="index.php?mod=espace_membre&amp;ac=message&amp;id='.$ligne->id_mbr.'">
				<img src="themes/'.$K_theme.'/images/connectes/mp.png" border="0" alt="mp" />
				</a>';
			}
			if ($agenda_defile_anniv == 'H') $alerteAnniv  .= '&nbsp;&nbsp;-=-=-=-&nbsp;&nbsp;';
			else $alerteAnniv  .= '<br />';
		}
		// anniversaires  venir
		else
		{
			$agembr = $ligne->aff_naissance ? 'ses '.$ligne->age.' ans' : 'son anniversaire';
			list($na, $nm, $nj) = explode('-', $ligne->date_naissance);

			$alerteAnniv  .= $membre1.' ftera '.$agembr.' le '.$nj. ' '.($type=='alerte' ? $tmois[$nm-1].', n\'oubliez pas de lui souhaiter un joyeux anniversaire.' : $tshortmois[$nm-1]);

			if ($agenda_defile_anniv == 'H') $alerteAnniv  .= '&nbsp;&nbsp;-=-=-=-&nbsp;&nbsp;';
			else $alerteAnniv  .= '<br />';
		}

		$i++;
	}
	return $alerteAnniv;
}


/**
 *
 * Mise en forme de l'alerte pour les evenements du jour ou  venir
 *
 * @param $type : type de mise en forme : bloc ou module central
 * @param $futur_event : dure de la priode d'annonce (en jours ou nbre d'evt)
 * @param $type_futur_event : temps ou nbre evt
 * @return : l'alerte  afficher au format html
 */
function alerteEvent($type, $futur_event, $type_futur_event)
{
	global $K_pseudo, $grade, $K_theme;

	if ($type_futur_event == 'nbre')
	{
		$where = 'AND UNIX_TIMESTAMP(`agenda_events`.`date_fin`) >= "'.time().'"
		ORDER BY `agenda_events`.`date` ASC LIMIT 0, '.$futur_event;
	}
	else
	{
		$fin = mktime(0, 0, 0, date("m"), date("d")+$futur_event, date("Y"));

		$where = 'AND UNIX_TIMESTAMP(`agenda_events`.`date`) < "'.$fin.'"
		AND UNIX_TIMESTAMP(`agenda_events`.`date_fin`) >= "'.time().'"
		ORDER BY `agenda_events`.`date`';
	}

	$req_event = reqmysql('
		SELECT	UNIX_TIMESTAMP(`agenda_events`.`date`) AS debut, UNIX_TIMESTAMP(`agenda_events`.`date_fin`) AS fin,
				`agenda_events`.`titre`,  `agenda_events`.`texte`, `agenda_events`.`lieu`, `agenda_events`.`contact`,
				`agenda_events`.`idx` AS id_event,
				`users`.`id` AS id_auteur, `users`.`pseudo` AS auteur, `users`.`avatar` AS avatar
		FROM `users`
		JOIN `agenda_events`
		LEFT JOIN `groupes_mbr` ON `agenda_events`.`groupe` = `groupes_mbr`.`groupe`
		WHERE	((`groupes_mbr`.`pseudo` = "'.$K_pseudo.'" AND `groupes_mbr`.`grade` != "-1" AND `groupes_mbr`.`grade` != "-2" AND `groupes_mbr`.`groupe` = `agenda_events`.`groupe`) OR `agenda_events`.`groupe` = "0")
				AND `agenda_events`.`id_user` = `users`.`id`
				AND `agenda_events`.`grade` <= "'.$grade.'"
				AND `agenda_events`.`is_valid` = "1"
				'.$where
	);

	$alertEvent = '';

	while ($obj_event = mysql_fetch_object($req_event))
	{
		$alertEvent .= ($alertEvent!='' ? '<br />' : '').'<a href="index.php?mod=agenda&amp;ac=evenements&amp;action=voir&amp;id='.$obj_event->id_event.'">'.$obj_event->titre.'</a> du '.kws_date('j/m/Y H:i', $obj_event->debut).' au '.kws_date('j/m/Y H:i', $obj_event->fin);
	}
	return $alertEvent;
}
