<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: lib_calend.php 741 2008-06-12 23:51:32Z otocinclus.devpwsphp $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file lib_calend.php
 *
 * Cette librairie contient toutes les fonctions spcifiques  la cration des differents types
 * de calendriers
 *
 * @author Otocinclus
 * @version 1.0
 * @date Novembre 2007
 */


/**
 *
 * Cration des liens permettant de changer de type de calendrier : annuel, mensuel, hebdo, journalier.
 *
 * @param $type  type du calendrier affich. Le bouton associ n'est pas cliquable.
 * @return la barre de lien au format HTML prte  tre affiche.
 */
function navCalendType($type)
{
	global $K_mod, $cal;

	if ($cal['annee'] == date('Y') && $cal['mois'] == date('n'))	$semaine = date('W');
	else															$semaine = $cal['semaine'];

	$navCal = '
	<p style="text-align:right;">';
	$navCal .= ($type=='annuel' ? '
	<img src="'.affImage('cal_an.png').'" style="border:solid 2px;padding:1px;" alt="calendrier annuel" title="Calendrier annuel" />' : '
	<a href="index.php?mod='.$K_mod.'&amp;type=an&amp;int_a='.$cal['annee'].'"><img src="'.affImage('cal_an.png').'" style="border:none;" alt="calendrier annuel" title="Afficher le calendrier annuel" /></a>').'&nbsp;&nbsp;&nbsp;';
	$navCal .= ($type=='mensuel' ? '
	<img src="'.affImage('cal_mois.png').'" style="border:solid 2px;padding:1px;" alt="calendrier mensuel" title="Calendrier mensuel" />' : '
	<a href="index.php?mod='.$K_mod.'&amp;type=mois&amp;int_a='.$cal['annee'].'&amp;int_m='.$cal['mois'].'"><img src="'.affImage('cal_mois.png').'" style="border:none;" alt="calendrier mensuel" title="Afficher le calendrier mensuel" /></a>').'&nbsp;&nbsp;&nbsp;';
	$navCal .= ($type == 'hebdo' ? '
	<img src="'.affImage('cal_sem.png').'" style="border:solid 2px;padding:1px;" alt="calendrier hebdomadaire" title="Calendrier hebdomadaire" />' : '
	<a href="index.php?mod='.$K_mod.'&amp;type=sem&amp;int_a='.$cal['annee'].'&amp;int_w='.$semaine.'"><img src="'.affImage('cal_sem.png').'" style="border:none;" alt="calendrier hebdomadaire" title="Afficher le calendrier hebdomadaire" /></a>').'&nbsp;&nbsp;&nbsp;';
	$navCal .= ($type == 'journalier' ? '
	<img src="'.affImage('cal_jour.png').'" style="border:solid 2px;padding:1px;" alt="calendrier journalier" title="Calendrier journalier" />' : '
	<a href="index.php?mod='.$K_mod.'&amp;type=jour&amp;int_a='.$cal['annee'].'&amp;int_m='.$cal['mois'].'&amp;int_j='.$cal['jour'].'"><img src="'.affImage('cal_jour.png').'" style="border:none;" alt="calendrier journalier" title="Afficher le calendrier journalier" /></a>').'&nbsp;&nbsp;';
	$navCal .= '
	</p><br />';

	return $navCal;
}



/**
 *
 *	fonction gnrant le calendrier annuel
 *
 * @param $aff_fete
 * @param $aff_anniv
 * @param $aff_event
 * @return	le calendrier prt  tre afficher au format html
 */
function calendAnnuel($aff_fete, $aff_anniv, $aff_event)
{
	global $K_mod, $today, $cal, $agenda_formatCalAnnu;

	// liens de navigation
	echo navCalendType('annuel');

	//En-tte du Calendrier
	echo '
	<table class="ContoursCal" cellspacing="0" cellpadding="1" summary="Calendrier annuel">
	<tr>
	<td class="TitreCal" colspan="'.$agenda_formatCalAnnu.'">
	<a href="index.php?mod='.$K_mod.'&amp;type=an&amp;int_a='.($cal['annee']-1).'">
	<img src="'.affImage('gauche1.png').'" style="border:none;" alt="ann&eacute;e pr&eacute;c&eacute;dante" title="ann&eacute;e pr&eacute;c&eacute;dante" /></a>
	&nbsp;&nbsp;&nbsp;
	<span class="TitreCaractCal">Ann&eacute;e '.$cal['annee'].'</span>&nbsp;&nbsp;&nbsp;
	<a href="index.php?mod='.$K_mod.'&amp;type=an&amp;int_a='.($cal['annee']+1).'">
	<img src="'.affImage('droite1.png').'" style="border:none;" alt="ann&eacute;e suivante" title="ann&eacute;e suivante" />
	</a>
	</td>
	</tr>';

	$m=0;
	// pour chaque ligne du calendrier
	while ($m < 12)
	{
		echo '
		<tr valign="top">';
		// pour chaque mois
		for ($lm=1; $lm<=$agenda_formatCalAnnu; $lm++)
		{
			$m++;
			dateInfo($cal['annee'], $m);
			$tabfete = array();
			$cond = 'LEFT(`jour`, 2) = "'.date('m', mktime(0, 0, 0, $m, '1', $cal['annee'])).'"';
			$tabfete = findFetes($cond);
			$tabfete['aff'] = $aff_fete ? 1 : 0;
			echo '
			<td style="padding:0 0.5em; width:'.intval(98/$agenda_formatCalAnnu).'%;">
			'.calendMois($tabfete, $aff_anniv, $aff_event, 'Small').'
			</td>';
		}
		echo'
		</tr>';
	}
	echo '</table>';
	dateInfo($cal['annee'], $today['mon'], $today['mday']);
}


/**
 * Fonction gnrant le calendrier mensuel
 *
 * @param $tabfete : les ftes du mois
 * @param $aff_anniv : affichage des anniversaires : 'on' / 'off'
 * @param $aff_event : affichage des vnements : 'on' / 'off'
 * @param $format : format du calendrier : pleine page : '' (par dfaut)
 *									petit : 'Small' (pour bloc et annuel)
 * @param $bloc : true si affichage dans un bloc, sinon false (valeur par defaut)
 *
 * @return	le calendrier prt  tre afficher au format html
 */
function calendMois($tabfete, $aff_anniv, $aff_event, $format='', $bloc=false)
{
	global $K_mod, $cal, $tmois, $today;

	$l = ($format=='Small' ? 2 : 8);
	$titreFonc = 'calMoisTitre'.$format;
	$calmois = $titreFonc($bloc);

	$calmois .= '
	<tr>
	<td class="EntetesMois'.$format.'" style="width:5%;"><span>'.substr('Sem', 0, $l-1).'</span></td>
	<td class="EntetesMois'.$format.'" style="width:14%;"><span>'.substr('Lundi', 0, $l).'</span></td>
	<td class="EntetesMois'.$format.'" style="width:13%;"><span>'.substr('Mardi', 0, $l).'</span></td>
	<td class="EntetesMois'.$format.'" style="width:14%;"><span>'.substr('Mercredi', 0, $l).'</span></td>
	<td class="EntetesMois'.$format.'" style="width:13%;"><span>'.substr('Jeudi', 0, $l).'</span></td>
	<td class="EntetesMois'.$format.'" style="width:14%;"><span>'.substr('Vendredi', 0, $l).'</span></td>
	<td class="EntetesMoisSam'.$format.'" style="width:13%;"><span>'.substr('Samedi', 0, $l).'</span></td>
	<td class="EntetesMoisDim'.$format.'" style="width:14%;"><span>'.substr('Dimanche', 0, $l).'</span></td>
	</tr>';

	$cal['curent_jour'] = offsetMois($cal['1er_jour_mois']);
	$calendrierString='';
	$anniv_objt  = array();
	$event_objt   = array();
	if ($aff_event == 'on')
		$event_objt = findEvent(mktime(0, 0, 0, $cal['mois'], 1, $cal['annee']), mktime(0, 0, 0, $cal['mois']+1, 1, $cal['annee']));
	if ($aff_anniv == 'on')	$anniv_objt = findAnniv($cal['mois']);

	// tant que l'on est pas  la fin du mois
	while ($cal['curent_jour'] <= $cal['nbJour_mois'])
	{
		$woy = date('W', mktime(0, 0, 0, $cal['mois'], $cal['curent_jour'], $cal['annee']));
		$calendrierString .='
		<tr>
		<td class="NumSem'.$format.'"><a href="index.php?mod='.$K_mod.'&amp;type=sem&amp;int_a='.$cal['annee'].'&amp;int_m='.$cal['mois'].'&amp;int_w='.$woy.'">'.$woy.'</a></td>';

		// Pour chaque jour
		for ($i = 0; $i < 7; $i++)
		{
			// Si jour valide
			if (checkdate($cal['mois'], $cal['curent_jour'], $cal['annee']) == true && $cal['curent_jour'] <= $cal['nbJour_mois'])
			{
				$display_calen_jour = $cal['curent_jour']<10 ? '0'.$cal['curent_jour'] : $cal['curent_jour'];

				// jour de la semaine
				$djour = date('w', mktime(0,0,0, $cal['mois'], $cal['curent_jour'], $cal['annee']));

				$span = $IDay = '';

				// mise en forme en fonction prsence ou non d'vnement
				if($event_objt[$cal['curent_jour']] != '')	$tdStyle = 'JourEventMois'.$format;
				else										$tdStyle = 'JourNoEventMois'.$format;

				// samedi, dimanche et jour fri
				if ($djour==0 || $djour==6)							$tdStyle .= '_'.$djour;
				elseif ($tabfete[$cal['mois'].'-'.$display_calen_jour]['ferie'] > 0)	$tdStyle .= '_0';

				// mise en forme anniversaire
				if($anniv_objt[$cal['curent_jour']] != '')	$span  = 'class="JourAnnivMois'.$format.'" ';

				// mise en forme Aujourd'hui
				if($cal['curent_jour']==$today['mday'] && $cal['mois']==$today['mon'] && $cal['annee']==$today['year'])
					$IDay = ' id="today'.($bloc ? '_bloc"' : '"');

				$dataFuntion = 'calMoisData'.$format;
				$fete = $tabfete['aff'] ? $tabfete[$cal['mois'].'-'.$display_calen_jour] : '';
				$calendrierString .= $dataFuntion($display_calen_jour, $fete, $anniv_objt[$cal['curent_jour']], $event_objt[$cal['curent_jour']], $tdStyle, $span, $IDay);
			}

			// jour non valide
			else
			{
				$calendrierString .= '
				<td class="VideTable'.$format.'">&nbsp;</td>';
			}
			$cal['curent_jour']++;
		}
		$calendrierString .= '
		</tr>';
	}
	$calmois .= $calendrierString.'
	</table>';

	return $calmois;
}


/**
 *
 * Barre de titre des calendriers mensuels pleine page
 *
 * @param $bloc : Ne sert  rien !!
 * 	N'est l que pour des raisons de comptibilit avec la fonction 'jumelle' grant les petits calendriers.
 * @return : la barre de titre prte  tre affiche, au format html
 */
function calMoisTitre($bloc)
{
	global $K_mod, $cal, $tmois;

	$titreCal = '
	<table class="ContoursCal" cellspacing="0" cellpadding="0" summary="Calendrier mensuel">
	<tr>
	<td class="TitreCal" colspan="8">
	<a href="index.php?mod='.$K_mod.'&amp;type=mois&amp;int_a='.($cal['annee']-1).'&amp;int_m='.$cal['mois'].'">
	<img src="'.affImage('gauche2.png').'" style="border:none;" alt="ann&eacute;e pr&eacute;c&eacute;dante" title="ann&eacute;e pr&eacute;c&eacute;dante" /></a>
	&nbsp;&nbsp;&nbsp;
	<a href="index.php?mod='.$K_mod.'&amp;type=mois&amp;int_a='.date('Y', $cal['pre_mois']).'&amp;int_m='.date('n', $cal['pre_mois']).'">
	<img src="'.affImage('gauche1.png').'" style="border:none;" alt="mois pr&eacute;c&eacute;dant" title="mois pr&eacute;c&eacute;dant" /></a>
	&nbsp;&nbsp;&nbsp;
	<span class="TitreCaractCal">'.$tmois[($cal['mois'] - 1)].' '.$cal['annee'].'</span>&nbsp;&nbsp;&nbsp;
	<a href="index.php?mod='.$K_mod.'&amp;type=mois&amp;int_a='.date('Y', $cal['sui_mois']).'&amp;int_m='.date('n', $cal['sui_mois']).'">
	<img src="'.affImage('droite1.png').'" style="border:none;" alt="mois suivant" title="mois suivant" /></a> &nbsp;&nbsp;&nbsp;
	<a href="index.php?mod='.$K_mod.'&amp;type=mois&amp;int_a='.($cal['annee']+1).'&amp;int_m='.$cal['mois'].'">
	<img src="'.affImage('droite2.png').'" style="border:none;" alt="ann&eacute;e suivante" title="ann&eacute;e suivante" /></a>
	</td>
	</tr>';
	return $titreCal;
}


/**
 *
 * Barre de titre des petits calendriers mensuels (bloc ou annuel)
 *
 * @param $bloc :	true : calendrier d'un bloc
 *		  		   false : un mois d'un calendrier annuel
 * @return : la barre de titre prte  tre affiche, au format html
 */
function calMoisTitreSmall($bloc)
{
	global $K_mod, $cal, $tmois;

	$class = $bloc ? 'small_cal_bloc' : 'small_cal';
	$titreCal = '<table class="'.$class.'" cellspacing="0" cellpadding="1" summary="Calendrier mensuel">';
	if (!$bloc)
	{
		$titreCal .= '
		<tr>
		<td class="MoisCaractAn" colspan="8"><a href="index.php?mod='.$K_mod.'&amp;type=mois&amp;int_a='.$cal['annee'].'&amp;int_m='.$cal['mois'].'">'.$tmois[$cal['mois']-1].'</a></td>
		</tr>';
	}
	return $titreCal;
}



/**
 *
 * Mise en forme des donnes  afficher (fetes, anniv, event, ...) pour les grands calendriers mensuels
 *
 * @param $display_calen_jour : jour concern (01 - 31)
 * @param $tabfete : tableau des ftes du jour
 * @param $anniv_objt : les anniversaires du jour sous forme d'objet
 * @param $event_objt : les vnements du jour sous forme d'objet
 * @param $tdstyle : style  appliqu
 * @param $span : mise en forme requise
 * @param $IDay : mise en forme pour aujourd'hui
 * @return : les donnes prtes  tre affiches, au format html
 */
function calMoisData($display_calen_jour, $tabfete, $anniv_objt, $event_objt, $tdStyle, $span, $IDay)
{
	global $K_mod, $cal;

	$content_anniv = '';
	if (is_array($anniv_objt))
	{
		foreach($anniv_objt as $anniv_value)
		{
			$content_anniv .= '
			<a class="JourAnnivMois" href="index.php?mod='.$K_mod.'&amp;ac=anniversaire">
			<img src="'.affImage('anniv.png').'" alt="gateau" style="border:none;" />
			</a>'.($anniv_value->id_mbr==0 ? '
			<span class="JourAnnivMois">'.$anniv_value->pseudo.'</span>' : '
			<a class="JourAnnivMois" href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$anniv_value->id_mbr.'">'.$anniv_value->pseudo.'</a>').'
			<br />';
		}
	}

	$content_event = '';
	if (is_array($event_objt))
	{
		foreach($event_objt as $event_value)
		{
			$content_event .= '
			<img src="'.affImage('droite.png').'" style="border:none;" alt="puce" />
			<a href="index.php?mod='.$K_mod.'&amp;ac=evenements&amp;action=voir&amp;id='.$event_value->id_event.'"
				onmouseover="return overlib(\'&lt;div class=\\\'overdiv\\\'&gt;&lt;div class=\\\'overeventitre\\\'&gt;&lt;img src=\\\''.affImage('agd.png').'\\\' style=\\\'border:none;\\\' alt=\\\'puce_agenda\\\' /&gt;&nbsp;'.htmlspecialchars($event_value->titre).' - &lt;i&gt;Post&eacute; par '.$event_value->auteur.'&lt;/i&gt;&lt;/div&gt;&lt;div class=\\\'overevent\\\'&gt;'.htmlspecialchars(str_replace(array("\r\n", "\n", "\r"), '<br />', bbcode($event_value->texte))).'&lt;/div&gt;&lt;/div&gt;\',FULLHTML);"
				onmouseout="return nd();">
			'.ax($event_value->titre).'
			</a><br />';
		}
	}

	$data = '
	<td'.$IDay.' class="'.$tdStyle.'" style="height:100px; vertical-align:top;">

	<div style="float:left; text-align:left;width:79%;padding-left:1px">
	<em>'.str_replace(array('Saint', 'Sainte'), array('St', 'Ste '), $tabfete['nom']).'</em><br />
	'.$content_anniv.'
	</div>
	<a '.$span.' style="float:right; text-align:right;padding-right:1px" href="index.php?mod='.$K_mod.'&amp;type=jour&amp;int_a='.$cal['annee'].'&amp;int_m='.$cal['mois'].'&amp;int_j='.$cal['curent_jour'].'">
	'.$display_calen_jour.'
	</a>

	<div style="clear:both; text-align:left;">'.$content_event.'</div>
	</td>';

	return $data;
}


/**
 *
 * Mise en forme des donnes  afficher (fetes, anniv, event, ...) pour les petits calendriers mensuels
 *
 * @param $display_calen_jour : jour concern (01 - 31)
 * @param $tabfete : tableau des ftes du jour
 * @param $anniv_objt : les anniversaires du jour sous forme d'objet
 * @param $event_objt : les vnements du jour sous forme d'objet
 * @param $tdstyle : style  appliqu
 * @param $span : mise en forme requise
 * @param $IDay : mise en forme pour aujourd'hui
 * @return : les donnes prtes  tre affiches, au format html
 */
function calMoisDataSmall($display_calen_jour, $tabfete, $anniv_objt, $event_objt, $tdStyle, $span, $IDay)
{
	global $K_mod, $cal;

	$content_fete = $tabfete['nom'] == '' ? '' : '&lt;div class=\\\'overfete\\\' &gt;'.htmlspecialchars($tabfete['nom']).'&lt;/div&gt;';

	$content_anniv = '';
	if (is_array($anniv_objt))
	{
		foreach($anniv_objt as $anniv_value)
		{
			$content_anniv .= '&lt;div class=\\\'overanniv\\\'&gt;&lt;img src=\\\''.affImage('anniv.png').'\\\' border=\\\'0\\\' alt=\\\'gateau\\\' /&gt;&nbsp;'.htmlspecialchars($anniv_value->pseudo).'&lt;br /&gt;&lt;/div&gt;';
		}
	}

	$content_event = '';
	if (is_array($event_objt))
	{
		foreach($event_objt as $event_value)
		{
			$content_event .= '&lt;div class=\\\'overevent\\\'&gt;&lt;img src=\\\''.affImage('droite.png').'\\\' border=\\\'0\\\' alt=\\\'puce\\\' /&gt;&nbsp;'.htmlspecialchars($event_value->titre).'&lt;br /&gt;&lt;/div&gt;';
		}
	}

	$content = $content_anniv.$content_event;

	if ($content != '')
	{
		$overlib = '
		<a	'.$span.'href="index.php?mod='.$K_mod.'&amp;type=jour&amp;int_a='.$cal['annee'].'&amp;int_m='.$cal['mois'].'&amp;int_j='.$cal['curent_jour'].'"
			onmouseover="return overlib(\'&lt;div class=\\\'overdiv\\\'&gt;'.$content_fete.$content.'&lt;/div&gt;\',FULLHTML);"
			onmouseout="return nd();">'.$display_calen_jour.'</a>';
	}
	elseif ($content_fete != '')
	{
		$overlib = '
		<span	onmouseover="return overlib(\'&lt;div class=\\\'overdiv\\\'&gt;'.$content_fete.'&lt;/div&gt;\', FULLHTML);"
				onmouseout="return nd();">'.$display_calen_jour.'</span>';
	}
	else $overlib = $display_calen_jour;

	$data = '
	<td'.$IDay.' class="'.$tdStyle.'">
	'.$overlib.'
	</td>';

	return $data;
}


/**
 *
 * Fonction gnrant le calenrier hebdomadaire
 *
 * @param $aff_anniv : affichage des anniversaires : 'on' / 'off'
 * @param $aff_event : affichage des vnements : 'on' / 'off'
 * @return	calendrier prt  tre afficher
 *
 */
function calendSemaine($aff_fete, $aff_anniv, $aff_event)
{
	global $cal, $K_mod, $tjours, $tshortmois;

	for ($i=0; $i<7; $i++)
	{
		$dateSem .= '"'.date('m-d', mktime(0,0,0,$cal['mois'], $cal['jour']+$i, $cal['annee'])).'", ';
	}
	$dateSem = substr($dateSem, 0, -2);
	$debSem = mktime(0, 0, 0, $cal['mois'], $cal['jour'], $cal['annee']);
	$finSem = mktime(0, 0, 0, $cal['mois'], $cal['jour']+7, $cal['annee']);

	// Rcup des ftes
	$cond = '`jour` IN ('.$dateSem.')';
	$tabfete = findFetes($cond);
	// Rcup des anniversaires
	if($aff_anniv == 'on' )	$anniv_objt = findAnniv($dateSem, 'hebdo');
	// Rcup des vnements
	if($aff_event == 'on' )	$event_objt = findEvent($debSem, $finSem);

	//En-tte du Calendrier
	$calSem = '
		<table class="ContoursCal" cellspacing="0" cellpadding="0" summary="Calendrier hebdomadaire">
		<tr>
		<td class="TitreCal" colspan="2">
		<a href="index.php?mod='.$K_mod.'&amp;type=sem&amp;int_w='.date(W, $cal['pre_mois']).'&amp;int_a='.date(Y, $cal['pre_mois']).'">
		<img src="'.affImage('gauche2.png').'" border="0" alt="mois pr&eacute;c&eacute;dant" title="mois pr&eacute;c&eacute;dant" /></a>
		&nbsp;&nbsp;&nbsp;
		<a href="index.php?mod='.$K_mod.'&amp;type=sem&amp;int_w='.$cal['pre_sem'].'&amp;int_a='.$cal['pre_sem_a'].'">
		<img src="'.affImage('gauche1.png').'" border="0" alt="semaine pr&eacute;c&eacute;dante" title="semaine pr&eacute;c&eacute;dante" /></a>
		&nbsp;&nbsp;&nbsp;
		<span class="TitreCaractCal">Semaine '.$cal['semaine'].' de '.$cal['annee'].'</span>&nbsp;&nbsp;&nbsp;
		<a href="index.php?mod='.$K_mod.'&amp;type=sem&amp;int_w='.$cal['sui_sem'].'&amp;int_a='.$cal['sui_sem_a'].'">
		<img src="'.affImage('droite1.png').'" border="0" alt="semaine suivante" title="semaine suivante" /></a>
		&nbsp;&nbsp;&nbsp;
		<a href="index.php?mod='.$K_mod.'&amp;type=sem&amp;int_w='.date(W, $cal['sui_mois']).'&amp;int_a='.date(Y, $cal['sui_mois']).'">
		<img src="'.affImage('droite2.png').'" border="0" alt="mois suivant" title="mois suivant" />
		</a>
		</td>
		</tr>';

	// pour chaque jour de la semaine
	for($i=0; $i<7; $i++)
	{
		$timestamp = mktime(0,0,0, $cal['mois'], $cal['jour']+$i, $cal['annee']);
		$cal['curent_jour'] = date('j', $timestamp);

		$content_anniv = '';
		if (is_array($anniv_objt[$cal['curent_jour']]))
		{
			foreach($anniv_objt[$cal['curent_jour']] as $anniv_value)
			{
				$content_anniv .= '
				<a class="JourAnnivMois" href="index.php?mod='.$K_mod.'&amp;ac=anniversaire">
				<img src="'.affImage('anniv.png').'" alt="gateau" style="border:none;" />
				</a>'.($anniv_value->id_mbr==0 ? '
				<span class="JourAnnivMois">'.$anniv_value->pseudo.'</span>' : '
				<a class="JourAnnivMois" href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$anniv_value->id_mbr.'">'.$anniv_value->pseudo.'</a>').'
				<br />';
			}
		}

		$event_contenu = '';
		if (is_array($event_objt[$cal['curent_jour']]))
		{
			foreach($event_objt[$cal['curent_jour']] as $event_value)
			{
				$event_contenu .= ($event_contenu != '' ? '<br />' : '').'
				<img src="'.affImage('droite.png').'" border="0" alt="puce" />&nbsp;
				<a href="index.php?mod='.$K_mod.'&amp;ac=evenements&amp;action=voir&amp;id='.$event_value->id_event.'">
				<strong>'.stripslashes($event_value->titre).'</strong>
				</a> (<i>Post&eacute; par '.$event_value->auteur.'</i>)<br />
				'.bbcode($event_value->texte, 1, 1).
				($event_value->lieu != '' ? '<br />- lieu : '.$event_value->lieu : '').
				($event_value->contact != '' ? '<br />- contact : '.$event_value->contact : '');
			}
		}
		$calSem .= '
		<tr>
		<td class="DateTable" width="100">
		<a href="index.php?mod='.$K_mod.'&amp;type=jour&amp;int_j='.$cal['curent_jour'].'&amp;int_m='.date(n, $timestamp).'&amp;int_a='.date(Y, $timestamp).'">
		'.$tjours[date(w, $timestamp)].'<br />'.date(d, $timestamp).' '.$tshortmois[date(n, $timestamp)-1].'
		</a>'.($aff_fete ? '<br />'.$tabfete[date(m, $timestamp).'-'.date(d, $timestamp)]['nom'] : '').'
		</td>
		<td class="ContenuTable">
		<div style="width:25%;float:left;"'.
		($content_anniv == '' ? '>&nbsp;' : ' class="JourAnnivMois">'.$content_anniv.'<br />').'
		</div>
		<div style="float:left;">
		'.($event_contenu == '' ? '&nbsp;' : $event_contenu.'<br />').'
		</div>
		</td>
		</tr>';
	}

	return $calSem .= '
	</table>';
}


/**
 *
 * Fonction gnrant le calendrier journalier
 *
 * @param $aff_fetes
 * @param $aff_anniv
 * @param $aff_event
 * @return	le calendrier prt  tre affich au format html
 */
function calendJour($aff_fetes, $aff_anniv, $aff_event)
{
	global $K_mod, $agenda_grade_post, $today, $cal, $tjours, $tmois;

	include_once 'modules/'.$K_mod.'/includes/lib_lune.php';

	$lune = phaseLune($cal['annee'], $cal['mois'], $cal['jour']);
	if($aff_fetes)
	{
		$cond = $cal['mois'].'-'.($cal['jour']<10?'0'.$cal['jour']:$cal['jour']);
		$tabfete = findFetes('`jour`="'.$cond.'"');
	}

	//Cadre exterieur et en-tete du Calendrier
	$cal_jour = '
	<table class="ContoursCal" width="100%" cellspacing="0" cellpadding="0" summary="Calendrier">
	<tr>
	<td class="TitreCal" colspan="2" style="vertical-align:middle;">
	<a href="index.php?mod='.$K_mod.'&amp;type=jour&amp;int_j='.date(j, $cal['pre_mois']).'&amp;int_m='.date(n, $cal['pre_mois']).'&amp;int_a='.date(Y, $cal['pre_mois']).'">
	<img src="'.affImage('gauche2.png').'" style="border:none;" alt="mois pr&eacute;c&eacute;dant" title="mois pr&eacute;c&eacute;dant" /></a>
	&nbsp;&nbsp;&nbsp;
	<a href="index.php?mod='.$K_mod.'&amp;type=jour&amp;int_j='.date(j, $cal['pre_jour']).'&amp;int_m='.date(n, $cal['pre_jour']).'&amp;int_a='.date(Y, $cal['pre_jour']).'">
	<img src="'.affImage('gauche1.png').'" style="border:none;" alt="jour pr&eacute;c&eacute;dant" title="jour pr&eacute;c&eacute;dant" /></a>
	&nbsp;&nbsp;&nbsp;
	<span class="TitreCaractCal">'.$tjours[$cal['dayofweek']].' '.$cal['jour'].' '.$tmois[($cal['mois'] - 1)].' '.$cal['annee'].'</span>&nbsp;&nbsp;&nbsp;
	<a href="index.php?mod='.$K_mod.'&amp;type=jour&amp;int_j='.date(j, $cal['sui_jour']).'&amp;int_m='.date(n, $cal['sui_jour']).'&amp;int_a='.date(Y, $cal['sui_jour']).'">
	<img src="'.affImage('droite1.png').'" style="border:none;" alt="jour suivant" title="jour suivant" /></a>
	&nbsp;&nbsp;&nbsp;
	<a href="index.php?mod='.$K_mod.'&amp;type=jour&amp;int_j='.date(j, $cal['sui_mois']).'&amp;int_m='.date(n, $cal['sui_mois']).'&amp;int_a='.date(Y, $cal['sui_mois']).'">
	<img src="'.affImage('droite2.png').'" style="border:none;" alt="mois suivant" title="mois suivant" />
	</a>
	</td>
	</tr>
	<tr>
	<td colspan="2" style="vertical-align:middle;">
	<center><table style="border:none;width:50%;" summary="Calendrier image">
	<tr>
	<td style="width:30%;text-align:right;"><img src="'.affImage('lune/lune_'.$lune['age'].'.png').'" title="'.$lune['phase'].'" border="0" height="24" width="24" alt="lune" /></td>
	<td style="text-align:center;">'.$tabfete[$cond]['nom'].'</td>
	<td style="width:30%;text-align:left;">&nbsp;'.($tabfete[$cond]['logo'] == '' ? '' : '<img src="'.affImage($tabfete[$cond]['logo']).'" alt="image '.$tabfete[$cond]['nom'].'" />').'</td>
	</tr>
	</table></center>
	<hr style="width:50%;" />
	</td>
	</tr>';

	// Affichage des anniversaires
	if($aff_anniv == 'on' )
	{
		$dj = '"'.date('m-d', mktime(0,0,0,$cal['mois'], $cal['jour'], $cal['annee'])).'"';
		$anniv = findAnniv($dj, 'jour');
		if (is_array($anniv[$cal['jour']]))
		{
			$cal_jour .= '
			<tr>
			<td style="width:25px;vertical-align:top;"><img src="'.affImage('anniversaire.png').'" style="border:none;" alt="anniversaires" /></td>
			<td style="padding:5px 10px; text-align:left;">';
			foreach ($anniv[$cal['jour']] as $anniv_value)
			{
				$avatar = $anniv_value->avatar == '' ? '' : '<img src="'.$anniv_value->avatar.'" height="24" width="24" border="0" alt="avatar" />';
				$cal_jour .= $anniv_value->id_mbr==0 ?
				'<span style="font-weight:bold;padding-left:24px;float:left;margin:0px 8px;">&nbsp;'.$anniv_value->pseudo.'</span>' :
				'<span style="float:left;margin:0px 8px;">'.$avatar.' <a href="index.php?mod=espace_membre&amp;ac=profil&amp;id='.$anniv_value->id_mbr.'"> <strong> '.$anniv_value->pseudo.'</strong></a></span>';
			}
			$cal_jour .= '
			</td></tr>
			<tr><td colspan="2"><hr style="width:50%;" /></td></tr>';
		}
	}

	// Affichage des vnements
	if($aff_event == 'on' )
	{
		$debJ = mktime(0, 0, 0, $cal['mois'], $cal['jour'],   $cal['annee']);
		$finJ = mktime(0, 0, 0, $cal['mois'], $cal['jour']+1, $cal['annee']);
		$event_objt = findEvent($debJ, $finJ);

		if (is_array($event_objt))
		{
			$cal_jour .= '
			<tr>
			<td style="width:25px;vertical-align:top;" ><img src="modules/agenda/includes/imageJour.php?jour='.$cal['jour'].'" style="border:none;" alt="evenements" /></td>
			<td style="padding-left:8px; text-align:left;">';	   // <img src="'.affImage('agenda.png').'" style="border:none;" alt="evenements" />
			foreach($event_objt[$cal['jour']] as $event_value)
			{
				if (date('Y-n-j', $event_value->debut) < $cal['annee'].'-'.$cal['mois'].'-'.$cal['jour'])
				{
					$horaire = 'depuis le '.date('j-m-y H\hi', $event_value->debut);
				}
				else
				{
					$horaire = 'de '.date('H\hi', $event_value->debut);
				}
				if (date('Y-n-j', $event_value->fin) > $cal['annee'].'-'.$cal['mois'].'-'.$cal['jour'])
				{
					$horaire .= ' jusqu\'au '.date('j-m-y H\hi', $event_value->fin);
				}
				else
				{
					$horaire .= ' &agrave; '.date('H\hi', $event_value->fin);
				}

				$cal_jour .= '
				<p><a href="index.php?mod=agenda&amp;ac=evenements&amp;action=voir&amp;id='.$event_value->id_event.'"><strong>'.$event_value->titre.'</strong></a> - '.$horaire.'<br />
				'.bbcode($event_value->texte, 1, 1).
				($event_value->lieu != '' ? '<br />- lieu : '.$event_value->lieu : '').
				($event_value->contact != '' ? '<br />- contact : '.$event_value->contact : '').'
				</p>';
			}
			$cal_jour .= '
			</td></tr>
			<tr><td colspan="2"><hr style="width:50%;" /></td></tr>';
		}
	}

	/* Ajout vnement si grade suffisant */
	if (get_grade('poster') >= GRD_MEMBR)
	{
		$cal_jour .= '
		<tr>
		<td style="width:25px;"><img src="'.affImage('crayon.png').'" style="border:none;" alt="ajouter" /></td>
		<td style="padding:8px; text-align:left;" colspan="2"><a href="index.php?mod='.$K_mod.'&amp;ac=evenements&amp;date='.$cal['jour'].'-'.$cal['mois'].'-'.$cal['annee'].'"><b>Proposer un &eacute;v&egrave;nement</b></a></td>
		</tr>';
	}

	return $cal_jour.'
	</table>';
}

?>
