<?php
// -----------------------------------------------------------------
// KwsPHP kOoGar Web System
// $Id: lib_lune.php 355 2007-11-13 22:27:01Z foupoudave.devpwsphp $
// -----------------------------------------------------------------
//
// Module Agenda
//
// -----------------------------------------------------------------

/**
 * @file lib_lune.php
 *
 * Librairie pour calculs lunaires
 *
 * @author Otocinclus
 * @version 1.0
 * @date Novembre 2007
 */


/**
 *
 * Calcul l'ge et la phase de la lune pour un jour donn
 *
 * @param $Y : anne
 * @param $M : mois
 * @param $D : jour
 * @return $lune : tableau contenant ge et phase lune
 */
function phaseLune( $Y, $M, $D )
{
	$AG    = 0;   // age de la lune
	$Phase = ' '; // phase de la lune
	$lune  = array();

	$YY = $MM = 0;
	$K1 = $K2 = $K3 = 0;
	$JD = $IP = 0;

	// Jour julien (JD)  12h UTC
	$YY = $Y - floor((12 - $M)/10);
	$MM = $M + 9;
	if($MM >= 12) $MM -= 12;

	$K1 = floor(365.25 * ($YY + 4712));
	$K2 = floor(30.6 * $MM + 0.5);
	$K3 = floor(floor(($YY / 100) + 49) * 0.75) - 38;

	$JD = $K1 + $K2 + $D + 59;           // (calendrier Julien)
	if($JD > 2299160) $JD -= $K3;        // (calendrier Grgorien)

	// Age de la lune (en jours)
	$IP = frac(($JD - 2451550.1)/29.530588853);
	$AG = $IP * 29.53;

	// phase de la lune
	if(    $AG <  1.84566) $Phase = "Nouvelle Lune";
	elseif($AG <  5.53699) $Phase = "Premier Croissant";
	elseif($AG <  9.22831) $Phase = "Premier Quartier";
	elseif($AG < 12.91963) $Phase = "Lune Gibbeuse ascendante";
	elseif($AG < 16.61096) $Phase = "Pleine Lune";
	elseif($AG < 20.30228) $Phase = "Lune Gibbeuse descendante";
	elseif($AG < 23.99361) $Phase = "Dernier Quartier";
	elseif($AG < 27.68493) $Phase = "Dernier Croissant";
	else                   $Phase = "Nouvelle Lune";

	$lune['age']   = floor($AG);
	$lune['phase'] = $Phase;

	return $lune;
}



/**
 *
 * Extrait la partie dcimale d'un nombre.
 *
 * @param $v : nombre
 * @return partie dcimale (entre 0 et 1)
 */
function frac($v)
{
	$v -= floor($v);
	return ($v<0 ? $v++ : $v);
}

?>
