-- $Id: install.sql 913 2011-02-08 16:27:22Z mike007 $

-- --------------------------------------------------------

--
-- Structure de la table `forum_cat`
--

DROP TABLE IF EXISTS `forum_cat`;
CREATE TABLE `forum_cat` ( 
  `id` int(11) NOT NULL auto_increment, 
  `ref` int(11) NOT NULL default '0', 
  `titre` varchar(50) default NULL, 
  `description` text, 
  `mots_cles` varchar(250) NOT NULL default '',
  `image` varchar(150) NOT NULL default '',
  `attribut` int(11) NOT NULL default '0', 
  `position` int(11) NOT NULL default '0', 
  `nbtopic` int(11) NOT NULL default '0', 
  `nbrep` int(11) NOT NULL default '0', 
  `dern_rep` int(11) NOT NULL default '0', 
  `dern_id` int(11) NOT NULL default '0', 
  `dern_posteur` varchar(50) NOT NULL default '', 
  `dern_date` int(10) NOT NULL default '0', 
  `grade` int(1) NOT NULL DEFAULT '-1',
  `id_groupe` int(11) NOT NULL default '0',
  `gr_cretop` int(1) NOT NULL DEFAULT '0',
  `deroule` varchar(3) NOT NULL DEFAULT '',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Module forum : Catgorie'; 

-- --------------------------------------------------------

--
-- Structure de la table `forum_cniv`
--

DROP TABLE IF EXISTS `forum_cniv`;
CREATE TABLE IF NOT EXISTS `forum_cniv` (
  `id` int(11) NOT NULL auto_increment,
  `id_cat` int(11) NOT NULL default '0',
  `ref_cat` int(11) NOT NULL default '0',
  `position` int(11) NOT NULL default '1',
  `sous_position` int(11) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Positions multi-niveaux' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `forum_grades`
--

DROP TABLE IF EXISTS `forum_grades`;
CREATE TABLE `forum_grades` ( 
  `id` int(11) NOT NULL auto_increment, 
  `nom` varchar(40) NOT NULL default '', 
  `min` int(11) NOT NULL default '0', 
  `image` varchar(150) NOT NULL default '', 
  primary KEY `id` (`id`) 
) TYPE=MyISAM COMMENT='Module forum : grade'; 

-- ---------------------------------------------------------

--
-- Contenu de la table `forum_grades`
--
INSERT INTO `forum_grades` SET `nom`='Newbie', `min`='0', `image`='starsj1.png';
INSERT INTO `forum_grades` SET `nom`='Visiteur', `min`='25', `image`='starsj2.png';
INSERT INTO `forum_grades` SET `nom`='Habitu', `min`='75', `image`='starsj3.png';
INSERT INTO `forum_grades` SET `nom`='Posteur fou', `min`='150', `image`='starsj4.png';
INSERT INTO `forum_grades` SET `nom`='Matre', `min`='250', `image`='starsj5.png';
INSERT INTO `forum_grades` SET `nom`='Dieu', `min`='500', `image`='starsj6.png';
INSERT INTO `forum_grades` SET `nom`='Dieu Supreme', `min`='1000', `image`='starsj7.png';

-- --------------------------------------------------------

--
-- Structure de la table `forum_prev`
--

DROP TABLE IF EXISTS `forum_prev`;
CREATE TABLE `forum_prev` ( 
  `id` int(11) NOT NULL auto_increment, 
  `id_topic` int(11) NOT NULL default '0', 
  `id_user` int(11) NOT NULL default '0',
  `etat` VARCHAR(10) NOT NULL DEFAULT 'suivi',
  `mail` enum('0','1') NOT NULL default '0',
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Module forum : Surveillance'; 

-- --------------------------------------------------------

--
-- Structure de la table `forum_rep`
--

DROP TABLE IF EXISTS `forum_rep`;
CREATE TABLE `forum_rep` ( 
  `id` int(11) NOT NULL auto_increment, 
  `ref` int(11) NOT NULL default '0', 
  `titre` varchar(30) default NULL, 
  `date` varchar(50) NOT NULL default '', 
  `auteur_id` int(11) NOT NULL default '0', 
  `auteur` varchar(30) default NULL, 
  `contenu` text, 
  `editeur` enum('bbcode','html') NOT NULL default 'bbcode',
  `smiley` tinyint(2) NOT NULL default '1',
  `edit` text NOT NULL,
  `move` text NOT NULL default '',
  `accept` text NOT NULL,
  primary KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Module forum : Rponse'; 

-- --------------------------------------------------------

--
-- Structure de la table `forum_speciaux`
--

DROP TABLE IF EXISTS `forum_speciaux`;
CREATE TABLE `forum_speciaux` ( 
  `id` int(11) NOT NULL auto_increment, 
  `user` int(11) NOT NULL default '0', 
  `grade` int(11) NOT NULL default '0', 
  primary KEY `id` (`id`) 
) TYPE=MyISAM COMMENT='Module forum : grade des utilisateurs'; 

-- --------------------------------------------------------

--
-- Structure de la table `forum_topic`
--

DROP TABLE IF EXISTS `forum_topic`;
CREATE TABLE `forum_topic` ( 
  `id` int(11) NOT NULL auto_increment, 
  `ref` int(11) NOT NULL default '1', 
  `titre` varchar(50) default NULL, 
  `date` varchar(50) NOT NULL default '', 
  `auteur_id` int(11) NOT NULL default '0', 
  `auteur` varchar(30) default NULL, 
  `contenu` text, 
  `editeur` enum('bbcode','html') NOT NULL default 'bbcode',
  `mots_cles` varchar(250) NOT NULL default '',
  `hit` int(11) NOT NULL default '0',
  `nbrep` int(11) NOT NULL default '0', 
  `smiley` tinyint(2) NOT NULL default '1', 
  `edit` text NOT NULL,
  `move` text NOT NULL default '',
  `attribut` int(11) NOT NULL default '0',
  `dern_rep` int(11) NOT NULL default '0', 
  `dern_date` int(10) NOT NULL default '0', 
  `dern_pseudo` varchar(50) NOT NULL default '', 
  `dern_id` int(11) NOT NULL default '0', 
  `resolu` tinyint(1) NOT NULL default '0',
  `sondage` text NOT NULL,
  primary KEY `id` (`id`) 
) TYPE=MyISAM COMMENT='Module forum : Topic'; 

-- --------------------------------------------------------

--
-- Structure de la table `forum_sondage_vote`
--

DROP TABLE IF EXISTS `forum_sondage_vote`;
CREATE TABLE `forum_sondage_vote` (
	`topic_id` int(11) NOT NULL default '0',
	`membre`   int(11) NOT NULL default '0',
	PRIMARY KEY (`topic_id`,`membre`)
) TYPE=MyISAM COMMENT='Mouchard des membres ayant dj vot';

-- --------------------------------------------------------

--
-- Structure de la table `forum_lecture`
--

DROP TABLE IF EXISTS `forum_lecture`;
CREATE TABLE `forum_lecture` (
`ref` int(11) NOT NULL auto_increment,
`lu` text NOT NULL,
PRIMARY KEY  (`ref`)
) TYPE=MyISAM  COMMENT='Module forum : message lu' AUTO_INCREMENT=1 ;

-- ---------------------------------------------------------

--
-- Insertion dans la table `parametres`
--

INSERT INTO `parametres` SET `nom`='forum_regles', `valeur`='';
INSERT INTO `parametres` SET `nom`='forum_reglesAff', `valeur`='off';

INSERT INTO `parametres` SET `nom`='forum_gr_flood', `valeur`='2';
INSERT INTO `parametres` SET `nom`='forum_grade', `valeur`='2';
INSERT INTO `parametres` SET `nom`='forum_gr_invisible', `valeur`='4';
INSERT INTO `parametres` SET `nom`='forum_gr_repactiv_oui', `valeur`='0';
INSERT INTO `parametres` SET `nom`='forum_gr_repactiv_non', `valeur`='4';
INSERT INTO `parametres` SET `nom`='forum_gr_emails', `valeur`='3';
INSERT INTO `parametres` SET `nom`='forum_gr_motscles', `valeur`='3';
INSERT INTO `parametres` SET `nom`='forum_sondage_grd_creer', `valeur`='2';
INSERT INTO `parametres` SET `nom`='forum_sondage_grd_voter', `valeur`='0';

INSERT INTO `parametres` SET `nom`='forum_sponsor', `valeur`='a:4:{s:5:"actif";i:0;s:6:"gr_pub";i:-1;s:6:"gr_txt";i:-1;s:3:"nom";s:11:"Sponsor-Bot";}';
INSERT INTO `parametres` SET `nom`='forum_sponsor_texte', `valeur`='Contenu de la rponse automatique (Texte) ici';
INSERT INTO `parametres` SET `nom`='forum_sponsor_pub', `valeur`='<p style="text-align:center">\r\nContenu de de la rponse automatique (Pub) ici\r\n</p>';

INSERT INTO `parametres` SET `nom`='forum_ico_gr2_evol', `valeur`='off';
INSERT INTO `parametres` SET `nom`='forum_ico_gr3_evol', `valeur`='off';
INSERT INTO `parametres` SET `nom`='forum_ico_gr4_evol', `valeur`='off';

INSERT INTO `parametres` SET `nom`='forum_msgchaud', `valeur`='30';
INSERT INTO `parametres` SET `nom`='forum_nbtopic', `valeur`='20';
INSERT INTO `parametres` SET `nom`='forum_nbrep', `valeur`='10';
INSERT INTO `parametres` SET `nom`='forum_nbrep_rep', `valeur`='10';

INSERT INTO `parametres` SET `nom`='forum_vitessebloc', `valeur`='80';
INSERT INTO `parametres` SET `nom`='forum_sensbloc', `valeur`='none';

INSERT INTO `parametres` SET `nom`='forum_repactiv', `valeur`='non';
INSERT INTO `parametres` SET `nom`='forum_repactiv_color', `valeur`='ccff99';

INSERT INTO `parametres` SET `nom`='forum_lecture_session', `valeur`='oui';
INSERT INTO `parametres` SET `nom`='forum_flood', `valeur`='15';
INSERT INTO `parametres` SET `nom`='forum_tailleavatar', `valeur`='80';
INSERT INTO `parametres` SET `nom`='forum_topic_edit', `valeur`='on';
INSERT INTO `parametres` SET `nom`='forum_topic_move', `valeur`='on';
INSERT INTO `parametres` SET `nom`='forum_rep_joint', `valeur`='on';
INSERT INTO `parametres` SET `nom`='forum_topic_2rep', `valeur`='off';

-- ---------------------------------------------------------

--
-- Insertion dans la table `droit_exclu`
--

INSERT INTO `droit_exclu` SET `module`='forum', `page`='affgrd', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='aide', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='annonce', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='dePrev', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='editer', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='entete', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='fonctions', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='gestion_options', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='lock', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='manuel', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='move', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='moveposts', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='moveposts_ids', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='nonlu', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='noReponse', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='post', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='regles', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='reindexation', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='resume', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='sessionCache', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='smil', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='supprimer', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='theme_prev', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='toutlu', `accessible`='0';
INSERT INTO `droit_exclu` SET `module`='forum', `page`='voir_prev', `accessible`='0';

